package com.ck.domain;
import javax.persistence.*;
import java.util.*;


@Entity
@Table(name="BORROWER_TABLE")
@SecondaryTable(name="BORROWERINFO_TABLE",
	pkJoinColumns={@PrimaryKeyJoinColumn(name="BORROWERINFO_ID")})

public class Borrower implements java.io.Serializable
{
	private int CardNo;
	private String firstName;
	private String lastName;
	private String postal_code;
	private int phone;

	private Collection<Book> book=new ArrayList<Book>();
	private Collection<Loan> loan = new ArrayList<Loan>();


	@Id
	@GeneratedValue
	public int getCardNo() { return CardNo; }
	public void setCardNo(int CardNo) { this.CardNo = CardNo; }

	public String getFirstName() { return firstName; }
	public void setFirstName(String firstName) { this.firstName = firstName; }

       	public String getLastName() { return lastName; }
	public void setLastName(String lastName) { this.lastName = lastName; }

        @Column(name="PHONE NO", table="BORROWERINFO_TABLE")
        public int getPhone() { return phone; }
	public void setPhone(int phone) { this.phone = phone; }

        @Column(name="POSTAL CODE", table="BORROWERINFO_TABLE")
        public String getPostalCode() { return postal_code; }
	public void setPostalCode(String zip) { this.postal_code = zip; }

	@OneToMany(cascade={CascadeType.ALL})
	@JoinColumn(name="BORROWER_CARDNO")
	public Collection<Book> getBook() { return book; }
	public void setBook(Collection<Book> book) { this.book= book; }

	@ManyToMany(mappedBy="borrowers")
	public Collection<Loan> getLoan() { return loan; }
	public void setLoan(Collection<Loan> loan) { this.loan = loan; }
}
